/*
 * Copyright 2019-2022 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.aot.context.bootstrap.generator.sample.factory;

import java.lang.annotation.Annotation;

public abstract class SampleFactory {

	public static String create(String testBean) {
		return testBean;
	}

	public static String create(char character) {
		return new String(new char[] { character });
	}

	public static String create(Number number, String test) {
		return number + test;
	}

	public static String create(Class<?> type) {
		return type.getName();
	}

	public static String createForAnnotation(Class<? extends Annotation> annotationType) {
		return create(annotationType);
	}

	public static Integer integerBean() {
		return 42;
	}

}
